Bug 1268911 - DHCP lease time in log is negative
DHCP lease time in log is negative
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 11:20 EDT by Petr Spacek
Modified: 2016-07-19 14:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:06:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Spacek 2015-10-05 11:20:23 EDT
Description of problem:
DHCP lease time in log is negative when DHCP server is giving out leases with long expiration.

Version-Release number of selected component (if applicable):
NetworkManager-1.0.4-0.1.git20160624.f245b49a.fc22.x86_64

How reproducible:
100 %

Steps to Reproduce:
1. Configure DHCP server to use lease time = 2147483648 seconds
2. Let NM to get the address

Actual results:
$ journalctl -u NetworkManager
NetworkManager[6065]: <info>    lease time -2147483648


Expected results:
$ journalctl -u NetworkManager
NetworkManager[6065]: <info>    lease time 2147483648


Additional info:
DHCP lease time is clearly unsigned integer, see http://tools.ietf.org/html/rfc1533#section-9.2 .
Comment 1 Jirka Klimes 2015-12-03 09:33:45 EST
Fixed upstream
master: d944a0f dhcp: lifetimes are unsigned integers, use %u printf specifier (rh #1268911)
nm-1-0: c66a021 dhcp: lifetimes are unsigned integers, use %u printf specifier (rh #1268911)
Comment 2 Mike McCune 2016-03-28 18:57:02 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 3 Fedora End Of Life 2016-07-19 14:06:51 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.